<?php
  $ruta="../../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
   include_once($ruta."class/grupocredito.php");
  $grupocredito=new grupocredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/creditodetalle.php");
  $creditodetalle=new creditodetalle;
  include_once($ruta."class/creditointerno.php");
  $creditointerno=new creditointerno;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/creditomov.php");
  $creditomov=new creditomov;
  include_once($ruta."class/miempresa.php");
  $miempresa=new miempresa;
  include_once($ruta."class/usuario.php");
  $usuario=new usuario;
  include_once($ruta."funciones/funciones.php");
  session_start();
  extract($_GET);
  //********* SEGURIDAD GET *************/
  $valor=dcUrl($lblcode);
  $cred=$credito->muestra($valor);
  $gcred=$grupocredito->muestra($cred['idgrupocredito']);
  $gr=$grupo->muestra($gcred['idgrupo']);
  $per=$persona->mostrarPrimero("idpersona=".$cred['idpersona']);
  $rutaImg=$ruta."imagenes/logo.png";
  $demp=$miempresa->muestra(1);
  $dus=$usuario->muestra($cred["usuariocreacion"]);
  $tba=$tipobanca->muestra($cred['idtipobanca']);
  $eje=$vadmejecutivo->muestra($cred['idejecutivo']);
  $ddom=$dominio->muestra($cred['idfrecuenciapago']);
  $dper=$persona->muestra($cred['idpersona']);
  $cuotacobrar=$cred['cuotaspagadas']+1;
  $canTCred=$credito->mostrarTodo("idgrupocredito=".$valor." and tipocredito=0");
  $fecha=date('Y-m-d');
  $ddominio=$dominio->muestra($cred['estadocredito']);

  $styleP="";
  if ($cred['estadocredito']==0) {
    $styleP="background-color:#1bad97";
    $classs="";
  }elseif ($cred['estadocredito']==1) {
    $styleP="background-color:#82f286";
    $classs="green";
  }elseif ($cred['estadocredito']==2) {
    $styleP="background-color:#f04e4e";
    $classs="red darken-2";
  }
  $adelanto=0;

  $montoCAM=$cred['montoOT']/$cred['cuotas'];
  $montoCAM=number_format($montoCAM, 2, '.', '');
  /***************** INTERES  **********************************************/

  $ddom=$dominio->muestra($cred['idfrecuenciapago']);
  $mesesPlazo=$cred['cuotas']/$ddom['codigo'];
  $interesTotal=($cred['montoOT']*($cred['interes']/100)*$mesesPlazo);
  $interesCuota=$interesTotal/$cred['cuotas'];
  $interesCuota=number_format($interesCuota, 2, '.', '');

  /*************************************************************************/
  // CUOTA ACUMULADA
  $gaTotal=$cred['montoOT']*($tba['gastosadmin']/100);
  $cuotaAcumulada=$gaTotal/$cred['cuotas'];
  $cuotaAcumulada=number_format($cuotaAcumulada, 2, '.', '');
  /****************************************************************/
  //SEGURO
  $seguro=$cred['montoOT']*($cred['seguro']/100);
  $seguro=$seguro/$cred['cuotas'];
  $seguro=number_format($seguro, 2, '.', '');
  /*******************************************************/
 
  $totalCuota=$montoCAM+$interesCuota+$cuotaAcumulada+$seguro;
  $totalCuota=number_format($totalCuota, 2, '.', '');

  $cuotaPago=$cred['cuotaspagadas']+1;

  // CAPITAL ADEUDADO A PAGAR *******************************************************/
  // Capital pagado = MontoOT-saldo
  $capitalPagado=$cred['montoOT']-$cred['saldo'];
  $capitalPagado=number_format($capitalPagado, 2, '.', '');
  $pagoACapital=$montoCAM*$cuotaPago;
  $pagoACapital=number_format($pagoACapital, 2, '.', '');
  $CapitalAPagar=$pagoACapital-$capitalPagado;
  $CapitalAPagar=number_format($CapitalAPagar, 2, '.', '');
  /*********************************************************************************/
  // INETERES ADEUDADO *************************************************************/
  $interesPago=$interesCuota*$cuotaPago;
  $interesPago=number_format($interesPago, 2, '.', '');
  $interesAPagar=$interesPago-$cred['interesPagado'];
  $interesAPagar=number_format($interesAPagar, 2, '.', '');
  /*********************************************************************************/
  // CUOTA ACUMULADA ADEUDADA
  $cuotaAcumPago=$cuotaAcumulada*$cuotaPago;
  $cuotaAcumPago=number_format($cuotaAcumPago, 2, '.', '');
  $cuotaAcumAPagar=$cuotaAcumPago-$cred['cuotaAcumulada'];
  $cuotaAcumAPagar=number_format($cuotaAcumAPagar, 2, '.', '');
  /*********************************************************************************/
  // SEGURO ADEUDADO ***************************************************************/
  $seguroPago=$seguro*$cuotaPago;
  $seguroPago=number_format($seguroPago, 2, '.', '');
  $seguroAPagar=$seguroPago-$cred['seguroPagado'];
  $seguroAPagar=number_format($seguroAPagar, 2, '.', '');
  /*********************************************************************************/

  $totalAPagar=$CapitalAPagar+$interesAPagar+$cuotaAcumAPagar+$seguroAPagar;
  $totalAPagar=number_format($totalAPagar, 2, '.', '');


  $fechaHoy=date("Y-m-d");

  $diasMora=diferenciaDias($cred['fechaproxve'],$fechaHoy );

?>
<!DOCTYPE html>
<html lang="es">
<head>
  <?php
    $hd_titulo="Cobrar Cuota";
    include_once($ruta."includes/head_basico.php");
  ?>
  <style type="text/css">
    .inputn input{
      border: 1px solid #0565ff;
      text-align: center;
      padding: 2px;
    }
    .inputn10 input{
      border: 1px solid #ff0000;
      text-align: center;
      padding: 2px;
    }
    .inputn3 input{
      border: 1px solid #f7a400;
      text-align: center;
      padding: 2px;
    }
    .inputn2 input{
      border: 1px solid #ffb5c3;
      text-align: right;
      padding: 2px;
    }
    .inputn1 input{
      border: 1px solid #ffb5c3;
      text-align: center;
    }
  </style>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1000;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                <div class="col s12 m12 l5">
                  <h5 class="breadcrumbs-title"><i class="fa fa-tag"></i> <?php echo $hd_titulo; ?></h5>
                </div>
                <div class="col s12 m12 l7">
                  <table class="csscontrato">
                    <thead>
                      <tr>
                        <th>CUENTA</th>
                        <th>GRUPO</th>
                        <th>CARNET</th>
                        <th>PRESTATARIO</th>
                        <th>ESTADO</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr>
                        <td><?php echo $cred['cuenta'] ?></td>
                        <td><?php echo $gr['nombre']; ?></td>
                        <td><?php echo $dper['carnet']." ".$dper['expedido'] ?></td>
                        <td><?php echo $dper['nombre']." ".$dper['paterno']." ".$dper['materno'] ?></td>
                        <td style="<?php echo $styleP ?>"><?php echo devuelveEstado($cred['estadocredito']); ?></td>                        
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
          <div class="container">
            <div class="formcontent">
            <div class="row">
              <div class="col s12 m12 l12">
                <nav class="teal">
                  <div class="nav-wrapper <?php echo $classs ?>">
                    <div class="col s12">
                      <a href="#!" class="brand-logo"><?php echo devuelveEstado($cred['estadocredito']); ?></a>
                      <ul class="right s12">
                        <li><a target="_blank" href="<?php echo $ruta ?>grupo/credito/otorgar/extracto/?lblcode=<?php echo $lblcode ?>"><i class="fa fa-print"></i> EXTRACTO</a>
                        </li>
                        <li><a target="_blank" href="<?php echo $ruta ?>grupo/credito/otorgar/planpagos/?lblcode=<?php echo $lblcode ?>"><i class="fa fa-print"></i> PLAN DE PAGOS</a>
                        </li>
                      </ul>
                    </div>
                  </div>
                </nav>
              </div>
              <div class="col s12 m6 l6">
                <h4 class="titulo">Datos de Credito</h4>

                <table class="csstpago">
                  <thead>
                    <tr  style="<?php echo $styleP ?>">
                      <th>Banca</th>
                      <th>Total</th>
                      <th>Saldo</th>
                      <th>Cuota Mes</th>
                      <th>Adelanto</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td><?php echo $tba['nombre']; ?></td>
                      <td><?php echo number_format($cred['montoOT'], 2, '.', '') ?> BS</td>
                      <td><?php echo number_format($cred['saldo'], 2, '.', '') ?> BS</td>
                      <td><?php echo number_format($cred['montocuota'], 2, '.', '') ?> BS</td>
                      <td><?php echo $adelanto ?></td>
                    </tr>
                  </tbody>
                </table>
                <table class="csstpago">
                  <thead>
                    <tr style="<?php echo $styleP ?>">
                      <th>Cuota</th>
                      <th>Dias Mora</th>
                      <th>Ult. Pago</th>
                      <th>Fecha a Pago</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td><?php echo $cred['cuotaspagadas']+1 ?>/<?php echo $cred['cuotas'] ?></td>
                      <td>
                        <?php 
                          if ($diasMora<=0) {
                            $diasMora=$diasMora*-1;
                            ?>
                              <div class="green white-text" style="font-weight: bold;font-size: 15px;"><?php echo $diasMora; ?></div>
                            <?php
                          }else{
                            ?>
                              <div class="red"><?php echo $diasMora; ?></div>
                            <?php
                          }
                        ?>
                      </td>
                      <td><?php echo $cred['fechaultpago']; ?></td>
                      <td><?php echo $cred['fechaproxve'] ?></td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <div class="col s12 m6 l6">
                <h4 class="titulo">Otros Datos</h4>
                <?php
                  $otInterno="0";
                  $saldoInt="0";
                  $vencimiento="";
                  $montoCuota="0";
                  $idcreditoInterno="0";
                  $dcredint=$creditointerno->mostrarUltimo("idcredito=".$valor." and saldo>0");
                  if (count($dcredint)>0) {
                    $otInterno=$dcredint['monto'];
                    $saldoInt=$dcredint['saldo'];
                    $montoCuota=$dcredint['montocuota'];
                    $vencimiento=$dcredint['fechavencimiento'];
                    $idcreditoInterno=$dcredint['idcreditointerno'];
                  }
                ?>
                <table class="csstpago">
                  <thead>
                    <tr  style="<?php echo $styleP ?>">
                      <th></th>
                      <th>Otorgado</th>
                      <th>Saldo</th>
                      <th>Vencimiento</th>
                      <th></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td>CRÉDITO INTERNO</td>
                      <td><?php echo number_format($otInterno, 2, '.', '') ?> BS</td>
                      <td><?php echo number_format($saldoInt, 2, '.', '') ?> BS</td>
                      <td><?php echo $vencimiento ?></td>
                      <td><a  href="#modal3" class="modal-trigger btn-jh blue darken-4"><i class="fa fa-money"></i> Pagar Cuota</a></td>
                    </tr>
                  </tbody>
                </table>
                <table class="csstpago">
                  <thead>
                    <tr style="<?php echo $styleP ?>">
                      <th></th>
                      <th>SALDO</th>
                      <th></th>
                      <th>TOTAL</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td>AHORRO VOLUNTARIO <a class="modal-trigger btn-jh blue darken-4" href="#modal1"><i class="fa fa-money"></i> Retirar</a></td>
                      <td><?php echo $cred['saldoahorro'] ?> Bs</td>
                      <td>MULTAS <a href="#modal2" class="modal-trigger btn-jh blue darken-4"><i class="fa fa-money"></i> Cobrar</a></td>
                      <td><?php echo $cred['saldoMultas'] ?> Bs</td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <form class="col s12" id="idform" action="return false" onsubmit="return false" method="POST">
                <div class="col s12 m6 l6">
                  <h4 class="titulo">Realizar Cobro</h4>
                  <input type="hidden" name="idcredito" id="idcredito" value="<?php echo $valor ?>">
                  <table class="cssdato">
                    <tr>
                      <td class="sub">Cuota a Pagar</td>
                      <td class="inputn">
                        <input type="number" value="<?php echo $totalAPagar; ?>" name="idmonto" step="any" id="idmonto">
                      </td>
                    </tr>
                    <tr>
                      <td class="sub">Monto a Capital</td>
                      <td class="inputn10">
                        <input type="number" value="<?php echo $CapitalAPagar; ?>" name="idcapital" step="any" id="idcapital" >
                      </td>
                    </tr>
                    <tr>
                      <td class="sub">Interés</td>
                      <td class="inputn10">
                        <input type="number" value="<?php echo $interesAPagar; ?>" name="idinteres" step="any" id="idinteres">
                      </td>
                    </tr>
                    <tr>
                      <td class="sub">Cuota Acumulada</td>
                      <td class="inputn10">
                        <input type="number" value="<?php echo $cuotaAcumAPagar ?>" name="idgadmin" step="any" id="idgadmin">
                      </td>
                    </tr>
                    <tr>
                      <td class="sub">Seguro</td>
                      <td class="inputn10">
                        <input type="text" value="<?php echo $seguroAPagar ?>" name="idseguro" id="idseguro" >
                      </td>
                    </tr>
                    <tr>
                      <td class="sub">Ahorro</td>
                      <td class="inputn10"><input type="text" name="idahorro" id="idahorro" value="0"></td>
                    </tr>
                  </table>
                  <div class="col s12 m12 l12">
                    <input type="hidden" name="idoperacion" id="idoperacion" value="0">
                    <input type="text" name="idoptext" id="idoptext" placeholder="OPERACION...">
                  </div>
                </div>
                <div class="col s12 m6 l6">
                  <h4 class="titulo">Realizar Cobro</h4>
                  <table class="cssdato">
                    <tr>
                      <td class="sub">TOTAL A PAGAR</td>
                      <td class="inputn2"><input type="text" name="idtotal" id="idtotal" value="0" readonly=""></td>
                    </tr>
                    <tr>
                      <td class="sub">Pago a Capital</td>
                      <td class="inputn2"><input type="text" name="idpagoCap" id="idpagoCap" value="0" readonly=""></td>
                    </tr>
                    <tr>
                      <td class="sub">Para Ahorro</td>
                      <td class="inputn2"><input type="text" name="idadelanto" id="idadelanto" value="0" readonly=""></td>
                    </tr>
                    <tr>
                      <td class="sub">Cuotas Canceladas</td>
                      <td class="inputn2"><input type="text" name="idcuotas" id="idcuotas" value="0" readonly=""></td>
                    </tr>
                    <tr>
                      <td class="sub">Proximo Vence</td>
                      <td class="inputn2"><input type="date" name="idproxvence" id="idproxvence" readonly=""></td>
                    </tr> 
                  </table>
                  <div class="col s12 m12 l6">
                    &nbsp;
                  </div>
                  <div class="col s12 m12 l6">
                    <?php
                      if ($cred['saldo']>0) {
                        ?>
                          <button id="btnSave" class="btn purple darken-3" style="width: 100%;"><i class="fa fa-save"></i> Cobrar</button>
                        <?php
                      }
                      else{
                        ?>
                          <div id="card-alert" class="card green lighten-5">
                            <div class="card-content green-text">
                              <p>PAGO FINAL. : El pago ya fue completado</p>
                            </div>
                          </div>
                        <?php
                      }
                    ?>
                  </div>
                </div>&nbsp;
              </form>
              </div>
            </div>
          </div>
        </section>
      </div>
    </div>
    <!-- CREDITOS  -->
    <div id="modal3" class="modal">
      <div class="modal-content">
        <form class="col s12" id="idformCI" action="return false" onsubmit="return false" method="POST">
          <input type="hidden" id="idcredInterno" name="idcredInterno" value="<?php echo $idcreditoInterno ?>">
          <input type="text" id="idcreditoCI" name="idcreditoCI" value="<?php echo $valor ?>">
          <fieldset class="formulario">
            <legend>PAGAR CUOTA DE CREDITO INTERNO</legend>
            <div class="row">
              <div class="input-field col s12 m12 l4">
                <input id="saldoCI" name="saldoCI"  type="number" readonly="" value="<?php echo $otInterno ?>" class="validate">
                <label for="saldoCI">SALDO</label>
              </div>
              <div class="input-field col s12 m12 l4">
                <input id="idmontoCI" name="idmontoCI"  type="number" value="<?php echo $montoCuota ?>" class="validate">
                <label for="idmontoCI">INGRESE MONTO</label>
              </div>
              <div class="input-field col s12 m12 l4">
                <button id="CIbtnSend" class="btn purple"><i class="fa fa-save"></i> REGISTRAR</button>
              </div>
            </div>
          </fieldset>
        </form>
      </div>
    </div>
    <!-- RETIRO DE AHORRO  -->
    <div id="modal2" class="modal">
      <div class="modal-content">
        <form class="col s12" id="idformML" action="return false" onsubmit="return false" method="POST">
          <input type="hidden" id="idcreditoML" name="idcreditoML" value="<?php echo $valor ?>">
          <fieldset class="formulario">
            <legend>REGISTRAR MULTA</legend>
            <div class="row">
              <div class="input-field col s12 m12 l4">
                <input id="idmontoML" name="idmontoML"  type="number" class="validate">
                <label for="idmontoML">INGRESE MONTO</label>
              </div>
              <div class="input-field col s12 m12 l4">
                <input id="iddetalleML" name="iddetalleML"  type="text" class="validate">
                <label for="iddetalleML">DETALLE DE LA MULTA</label>
              </div>
              <div class="input-field col s12 m12 l4">
                <button id="MLbtnSend" class="btn purple"><i class="fa fa-save"></i> REGISTRAR</button>
              </div>
            </div>
          </fieldset>
        </form>
      </div>
    </div>
    <!-- MULTAS  -->
    <div id="modal1" class="modal">
      <div class="modal-content">
        <form class="col s12" id="idformAH" action="return false" onsubmit="return false" method="POST">
          <input type="hidden" id="idcreditoAH" name="idcreditoAH" value="<?php echo $valor ?>">
          <fieldset class="formulario">
            <legend>RETIRAR MONTO</legend>
            <div class="row">
              <div class="input-field col s12 m12 l4">
                <input id="idsaldoAH" name="idsaldoAH" readonly="" type="number" value="<?php echo $cred['saldoahorro'] ?>" class="validate">
                <label for="idsaldoAH">SALDO</label>
              </div>
              <div class="input-field col s12 m12 l4">
                <input id="idmontoAH" name="idmontoAH"  type="number" class="validate">
                <label for="idmontoAH">INGRESE MONTO A RETIRAR</label>
              </div>
              <div class="input-field col s12 m12 l4">
                <button id="AHbtnRetirar" class="btn purple"><i class="fa fa-save"></i> RETIRAR</button>
              </div>
            </div>
          </fieldset>
        </form>
      </div>
    </div>
    <div id="idresultado"></div>
    <?php
      include_once($ruta."includes/script_basico.php");
    ?>
    <script type="text/javascript">
      $("#idmonto").focus();
      $("#idmonto").blur(function(){
        calculaPago();
      });
      function calculaPago(){
        var str = $("#idform").serialize();
        //alert(monto);
        $.ajax({
          async: true,
          url: "cargaDatoIn.php?"+str,
          type: "get",
          dataType: "html",
          success: function(data){
            console.log(data);
            var json = eval("("+data+")");
            if (json.ind==1) {
              // al menos una cuota
                $("#idahorro").val(json.adelanto);
                $("#idtotal").val(json.total);
                $("#idcapital").val(json.capital);


                $("#idinteres").val(json.interes);//interes
                $("#idgadmin").val(json.cuotaAcum);//cuotaAcum
                $("#idseguro").val(json.seguro);//seguro
                


                $("#idpagoCap").val(json.capital);
                $("#idadelanto").val(json.adelanto);
                $("#idcuotas").val(json.cuotas);
                $("#idproxvence").val(json.proxvence);
                $("#idoperacion").val(json.operacion);
                $("#idoptext").val(json.txtoperacion);
              }else{
                //cuando no alcanza la cuota
                swal(
                  'Cuidado',json.msg,'warning'
                );
                $("#idcapital").val(json.capital);
                $("#idtotal").val(json.total);
                $("#idpagoCap").val(json.monto);
                $("#idadelanto").val(json.adelanto);
                $("#idcuotas").val(json.cuotas);
                $("#idproxvence").val(json.proxvence);
                $("#idoperacion").val(json.operacion);
                $("#idoptext").val(json.txtoperacion);
              }
            
          }
        });
      }
      $("#CIbtnSend").click(function(){
        if (validarCI()) {
          swal({   
            title: "Registrar Crédito Interno?",   
            text: "Esta Seguro de Realizar el Cobro?",   
            type: "warning",   
            showCancelButton: true,   
            closeOnConfirm: false,   
            showLoaderOnConfirm: true,
          }, 
          function(){
            var str = $("#idformCI").serialize();
            $.ajax({
              url: "registrarCreditoInterno.php",
              type: "POST",
              data: str+'&idcredito='+'<?php echo $valor ?>',
              success: function(resp){
                setTimeout(function(){     
                  console.log(resp);
                  $('#idresultado').html(resp);   
                }, 1000); 
              }
            });
          });
        }else{
          swal('Error','Monto no Permitido','error');
        }
      });
      $("#MLbtnSend").click(function(){
        if (validarML()) {
          swal({   
            title: "Retirar la Multa?",   
            text: "Esta Seguro de Realizar el Cobro?",   
            type: "warning",   
            showCancelButton: true,   
            closeOnConfirm: false,   
            showLoaderOnConfirm: true,
          }, 
          function(){
            var str = $("#idformML").serialize();
            $.ajax({
              url: "registrarMulta.php",
              type: "POST",
              data: str,
              success: function(resp){
                setTimeout(function(){     
                  console.log(resp);
                  $('#idresultado').html(resp);   
                }, 1000); 
              }
            });
          });
        }else{
          swal('Error','Monto no Permitido','error');
        }
      });
      $("#AHbtnRetirar").click(function(){
        if (validarAH()) {
          swal({   
            title: "Retirar Monto?",   
            text: "Esta Seguro de Realizar el Cobro?",   
            type: "warning",   
            showCancelButton: true,   
            closeOnConfirm: false,   
            showLoaderOnConfirm: true,
          }, 
          function(){
            var str = $("#idformAH").serialize();
            $.ajax({
              url: "retirarAhorro.php",
              type: "POST",
              data: str,
              success: function(resp){
                setTimeout(function(){     
                  console.log(resp);
                  $('#idresultado').html(resp);   
                }, 1000); 
              }
            });
          });
        }else{
          swal('Error','Monto no permitido','error');
        }
      });
      $("#btnSave").click(function(){
        if (validar()) {
          swal({   
            title: "Cobrar?",   
            text: "Esta Seguro de Realizar el Cobro?",   
            type: "warning",   
            showCancelButton: true,   
            closeOnConfirm: false,   
            showLoaderOnConfirm: true,
          }, 
          function(){
            var str = $( "#idform" ).serialize();
            $.ajax({
              url: "guardaPago.php",
              type: "POST",
              data: str,
              success: function(resp){
                setTimeout(function(){     
                  console.log(resp);
                  $('#idresultado').html(resp);   
                }, 1000); 
              }
            });
          });
        }else{
          swal('Error','Registre nit y razon social y haga clic en guardar','error');
        }
      });
      function validar(){
        retorno=true;
        return retorno;
      }
      function validarAH(){
        retorno=true;
        var saldo=$("#idsaldoAH").val();
        var monto=$("#idmontoAH").val();
        saldo=parseFloat(saldo);
        monto=parseFloat(monto);
        if (monto>saldo){
          retorno=false;
        }
        return retorno;
      }
      function validarML(){
        retorno=true;
        var monto=$("#idmontoML").val();
        if (monto<=0) {
          retorno=false;
        }
        return retorno;
      }
      function validarCI(){
        retorno=true;
        return retorno;
      }
    </script>
</body>

</html>